Arch Site/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "Category:Arch/ru")
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Arch Site
|Name=Arch Site
Line 8: Line 9:
|SeeAlso=[[Arch Floor/ru|Этаж]], [[Arch Building/ru|Здание]]
|SeeAlso=[[Arch Floor/ru|Этаж]], [[Arch Building/ru|Здание]]
}}
}}
</div>


==Description==
==Description==
Line 15: Line 17:
==How to use==
==How to use==


# Optionally, select one or more objects to be included in your new site
# Optionally, select one or more objects to be included in your new site.
# Press the {{KEY|[[Image:Arch Site.png|16px]] '''Arch Site'''}} button, or press the {{KEY|S}} then {{KEY|I}} keys
# Press the {{Button|[[Image:Arch Site.svg|16px]] [[Arch Site]]}} button, or press the {{KEY|S}} then {{KEY|I}} keys.


==Options==
==Options==


* After creating a site, you can add more objects to it by drag and dropping them in the Tree View or by using the [[Image:Arch Add.png|16px]] [[Arch Add|Arch Add]] tool. This only determines which object is part of the given site, and has no effect on the terrain itself.
* After creating a site, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add|Arch Add]]}} tool. This only determines which object is part of the given site, and has no effect on the terrain itself.
* You can remove objects from a site by drag and dropping them out of it the Tree View or by using the [[Image:Arch Remove.png|16px]] [[Arch Remove|Arch Remove]] tool
* You can remove objects from a site by drag and dropping them out of it the Tree View or by using the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove|Arch Remove]]}} tool
* You can add a terrain object by editing the Site's '''Terrain''' property. The terrain must be an open shell or surface.
* You can add a terrain object by editing the Site's {{PropertyData|Terrain}} property. The terrain must be an open shell or surface.
* You can add volumes to be added or subtracted from the base terrain, by double-clicking the Site, and adding objects to its Subtractions or Additions groups. The objects must be solids.
* You can add volumes to be added or subtracted from the base terrain, by double-clicking the Site, and adding objects to its Subtractions or Additions groups. The objects must be solids.
* The '''Extrusion Vector''' property can be used to solve some problems that can appear when working with subtractions and additions. In order to perform those additions/subtractions, the terrain surface is extruded into a solid, which is then appropriately unioned/subtracted. Depending on the terrain topology, this extrusion might fail with the default extrusion vector. You might therefore be able to remedy the problem by changing this to a different value.
* The {{PropertyData|Extrusion Vector}} property can be used to solve some problems that can appear when working with subtractions and additions. In order to perform those additions/subtractions, the terrain surface is extruded into a solid, which is then appropriately unioned/subtracted. Depending on the terrain topology, this extrusion might fail with the default extrusion vector. You might therefore be able to remedy the problem by changing this to a different value.


==Properties==
==Properties==


=== Data ===
* {{PropertyData|Terrain}}: The base terrain of this site
* {{PropertyData|Terrain}}: The base terrain of this site
* {{PropertyData|Address}}: The street and housenumber of this site
* {{PropertyData|Address}}: The street and housenumber of this site
Line 43: Line 46:
* {{PropertyData|Remove Splitter}}: Remove splitters from the resulting shape
* {{PropertyData|Remove Splitter}}: Remove splitters from the resulting shape
* {{PropertyData|North Deviation}}: The angle between the true North and the north direction in this document
* {{PropertyData|North Deviation}}: The angle between the true North and the north direction in this document

=== View ===
* {{PropertyView|Solar Diagram}}: Shows or hides the solar diagram
* {{PropertyView|Solar Diagram}}: Shows or hides the solar diagram
* {{PropertyView|Solar Diagram Color}}: The color of the solar diagram
* {{PropertyView|Solar Diagram Color}}: The color of the solar diagram
Line 50: Line 55:
== Typical workflow ==
== Typical workflow ==


Start by creating an object that represents your terrain. It must be an open surface, not a solid. For example, it is easy to import mesh data, that can be turned into a Part Shape from menu '''Part -> Create Shape from Mesh...'''. Then, create a Site object, and set its '''Terrain''' property to the Part we just created:
Start by creating an object that represents your terrain. It must be an open surface, not a solid. For example, it is easy to import mesh data, that can be turned into a Part Shape from menu {{MenuCommand|Part Create Shape from Mesh}}. Then, create a Site object, and set its {{PropertyData|Terrain}} property to the Part we just created:


[[Image:Arch site example 01.jpg]]
[[Image:Arch site example 01.jpg]]
Line 64: Line 69:
== Solar diagram ==
== Solar diagram ==


If [http://pysolar.org/ pysolar] is installed on your system, Arch Sites can display a solar diagram. For this, '''Longitude''', '''Latitude''' and '''NorthDeviation''' properties must be correctly set, and '''SolarDiagram''' view property turned on. {{Version|0.17}}
If [http://pysolar.org/ pysolar] is installed on your system, [[Arch Site]]s can display a solar diagram. For this, {{PropertyData|Longitude}}, {{PropertyData|Latitude}} and {{PropertyData|NorthDeviation}} properties must be correctly set, and {{PropertyView|SolarDiagram}} view property turned on. {{Version|0.17}}


[[Image:Freecad-solar-diagram.jpg]]
[[Image:Freecad-solar-diagram.jpg]]


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].


The Site tool can by used in [[macros|macros]] and from the python console by using the following function:
The Site tool can be used in [[macros]] and from the [[Python]] console by using the following function:
{{Code|code=
{{Code|code=
makeSite ([objectslist])
Site = makeSite(objectslist=None, baseobj=None, name="Site")
}}
}}

creates a site including the objects from the given list.
* Creates a {{incode|Site}} object from {{incode|objectslist}}, which is a list of objects, or {{incode|baseobj}}, which is a {{incode|Shape}} or {{incode|Terrain}}.


Example:
Example:
{{Code|code=
{{Code|code=
import Arch
import FreeCAD, Draft, Arch

Arch.makeSite()
p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Site = Arch.makeSite(Wall)
FreeCAD.ActiveDocument.recompute()
}}
}}

A solar diagram can also be created with:
=== Solar diagram ===

FreeCAD can add a solar diagram to the active document if the {{incode|Pysolar}} (or {{incode|pysolar}}?) module is available. This module only works with Python3.

A solar diagram can be created with the following function
{{Code|code=
{{Code|code=
Node = makeSolarDiagram(longitude, latitude, scale=1, complete=False)
import Arch,FreeCADGui
node = Arch.makeSolarDiagram(-46.38,-23.33) # longitude, latitude, [scale]
FreeCADGui.ActiveDocument.ActiveView.getSceneGraph().addChild(node)
}}
}}


* Creates a solar diagram as a Pivy node, using {{incode|longitude}} and {{incode|latitude}}, with an optional {{incode|scale}}.
* If {{incode|complete}} is {{incode|True}}, the 12 months are drawn.

{{Code|code=
import FreeCADGui, Arch

Node = Arch.makeSolarDiagram(-46.38, -23.33)
FreeCADGui.ActiveDocument.ActiveView.getSceneGraph().addChild(Node)
}}
<div class="mw-translate-fuzzy">
[[Category:Arch/ru]]
[[Category:Arch/ru]]
</div>

Revision as of 17:43, 30 January 2019

Arch Site

Системное название
Arch Site
Расположение в меню
Архитектура → Место
Верстаки
Arch
Быстрые клавиши
S I
Представлено в версии
-
См. также
Этаж, Здание

Description

The Arch Site is a special object that combines properties of a standard FreeCAD group object and Arch objects. It is particularly suited for representing a whole project site, or terrain. In IFC-based architectural work, it is mostly used to organize your model, by containing building objects. The site is also used to manage and display a physical terrain, and can computes volumes of earth to be added or removed.

How to use

  1. Optionally, select one or more objects to be included in your new site.
  2. Press the Arch Site button, or press the S then I keys.

Options

  • After creating a site, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool. This only determines which object is part of the given site, and has no effect on the terrain itself.
  • You can remove objects from a site by drag and dropping them out of it the Tree View or by using the Arch Remove tool
  • You can add a terrain object by editing the Site's ДанныеTerrain property. The terrain must be an open shell or surface.
  • You can add volumes to be added or subtracted from the base terrain, by double-clicking the Site, and adding objects to its Subtractions or Additions groups. The objects must be solids.
  • The ДанныеExtrusion Vector property can be used to solve some problems that can appear when working with subtractions and additions. In order to perform those additions/subtractions, the terrain surface is extruded into a solid, which is then appropriately unioned/subtracted. Depending on the terrain topology, this extrusion might fail with the default extrusion vector. You might therefore be able to remedy the problem by changing this to a different value.

Properties

Data

  • ДанныеTerrain: The base terrain of this site
  • ДанныеAddress: The street and housenumber of this site
  • ДанныеPostal Code: The postal or zip code of this site
  • ДанныеCity: The city of this site
  • ДанныеCountry: The country of this site
  • ДанныеLatitude: The latitude of this site
  • ДанныеLongitude: The longitude of this site
  • ДанныеUrl: An url that shows this site in a mapping website
  • ДанныеProjected Area: The area of the projection of this object onto the XY plane
  • ДанныеPerimeter: The perimeter length of this terrain
  • ДанныеAddition Volume: The volume of earth to be added to this terrain
  • ДанныеSubtraction Volume: The volume of earth to be removed from this terrain
  • ДанныеExtrusion Vector: An extrusion vector to use when performing boolean operations
  • ДанныеRemove Splitter: Remove splitters from the resulting shape
  • ДанныеNorth Deviation: The angle between the true North and the north direction in this document

View

  • ВидSolar Diagram: Shows or hides the solar diagram
  • ВидSolar Diagram Color: The color of the solar diagram
  • ВидSolar Diagram Position: The position of the solar diagram
  • ВидSolar Diagram Scale: The scale of the solar diagram

Typical workflow

Start by creating an object that represents your terrain. It must be an open surface, not a solid. For example, it is easy to import mesh data, that can be turned into a Part Shape from menu Part → Create Shape from Mesh. Then, create a Site object, and set its ДанныеTerrain property to the Part we just created:

Create some volumes (they must be solids) that represent the areas that you wish to be excavated or filled. Double-click the Site object in the Tree View, and add these volumes to the Additions or Subtractions groups. Click OK.

The site geometry will be recomputed and the areas, perimeter, and volumes properties recalculated.

Solar diagram

If pysolar is installed on your system, Arch Sites can display a solar diagram. For this, ДанныеLongitude, ДанныеLatitude and ДанныеNorthDeviation properties must be correctly set, and ВидSolarDiagram view property turned on. introduced in version 0.17

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Site tool can be used in macros and from the Python console by using the following function:

Site = makeSite(objectslist=None, baseobj=None, name="Site")
  • Creates a Site object from objectslist, which is a list of objects, or baseobj, which is a Shape or Terrain.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Site = Arch.makeSite(Wall)
FreeCAD.ActiveDocument.recompute()

Solar diagram

FreeCAD can add a solar diagram to the active document if the Pysolar (or pysolar?) module is available. This module only works with Python3.

A solar diagram can be created with the following function

Node = makeSolarDiagram(longitude, latitude, scale=1, complete=False)
  • Creates a solar diagram as a Pivy node, using longitude and latitude, with an optional scale.
  • If complete is True, the 12 months are drawn.
import FreeCADGui, Arch

Node = Arch.makeSolarDiagram(-46.38, -23.33)
FreeCADGui.ActiveDocument.ActiveView.getSceneGraph().addChild(Node)